Package org.opensaml.soap.soap11

# Interface MustUnderstandBearing

All Known Subinterfaces:
  `ChannelBindings`, `EncryptedHeader`, `GeneratedKey`, `RelayState`, `Request`, `RequestAuthenticated`, `Response`, `SessionKey`, `SubjectConfirmation`

All Known Implementing Classes:
  `ChannelBindingsImpl`, `EncryptedHeaderImpl`, `GeneratedKeyImpl`, `RelayStateImpl`, `RequestAuthenticatedImpl`, `RequestImpl`, `ResponseImpl`, `SessionKeyImpl`, `SubjectConfirmationImpl`

public interface MustUnderstandBearing
Interface for element having a `@soap11:mustUnderstand` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME`
The soap11:@mustUnderstand attribute local name.
`static final QName`
`SOAP11_MUST_UNDERSTAND_ATTR_NAME`
The soap11:@mustUnderstand qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isSOAP11MustUnderstand()`
Get the attribute value.
`XSBooleanValue`
`isSOAP11MustUnderstandXSBoolean()`
Get the attribute value.
`void`
`setSOAP11MustUnderstand(Boolean newMustUnderstand)`
Set the attribute value.
`void`
`setSOAP11MustUnderstand(XSBooleanValue newMustUnderstand)`
Set the attribute value.

## Field Details

### SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME
The soap11:@mustUnderstand attribute local name.

See Also:
  - Constant Field Values

### SOAP11_MUST_UNDERSTAND_ATTR_NAME

@Nonnull static final QName SOAP11_MUST_UNDERSTAND_ATTR_NAME
The soap11:@mustUnderstand qualified attribute name.

## Method Details

### isSOAP11MustUnderstand

@Nullable Boolean isSOAP11MustUnderstand()
Get the attribute value.

Returns:
  return the attribute vlue

### isSOAP11MustUnderstandXSBoolean

@Nullable XSBooleanValue isSOAP11MustUnderstandXSBoolean()
Get the attribute value.

Returns:
  return the attribute vlue

### setSOAP11MustUnderstand

void setSOAP11MustUnderstand(@Nullable Boolean newMustUnderstand)
Set the attribute value.

Parameters:
  `newMustUnderstand` - the new attribute value

### setSOAP11MustUnderstand

void setSOAP11MustUnderstand(@Nullable XSBooleanValue newMustUnderstand)
Set the attribute value.

Parameters:
  `newMustUnderstand` - the new attribute value